org.eclipse.viatra.cep.vepl.vepl

## Interface EventPattern

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, ModelElement, org.eclipse.emf.common.notify.Notifier
  All Known Subinterfaces:
    AbstractAtomicEventPattern, AtomicEventPattern, ComplexEventPattern, QueryResultChangeEventPattern
  All Known Implementing Classes:
    AbstractAtomicEventPatternImpl, AtomicEventPatternImpl, ComplexEventPatternImpl, EventPatternImpl, QueryResultChangeEventPatternImpl

      public interface EventPattern
      extends ModelElement

  A representation of the model object 'Event Pattern'.

  The following features are supported:

  - `Parameters`
  See Also:
    `VeplPackage.getEventPattern()`
  Generated:
  Model:

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `TypedParameterList` | `getParameters()` Returns the value of the 'Parameters' containment reference.
    `void` | `setParameters(TypedParameterList value)` Sets the value of the '`Parameters`' containment reference.

    - ### Methods inherited from interface org.eclipse.viatra.cep.vepl.vepl.ModelElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getParameters

          TypedParameterList getParameters()

      Returns the value of the 'Parameters' containment reference.

      If the meaning of the 'Parameters' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Parameters' containment reference.
      See Also:
        `setParameters(TypedParameterList)`, `VeplPackage.getEventPattern_Parameters()`
      Generated:
      Model:
        containment="true"

    - #### setParameters

          void setParameters(TypedParameterList value)

      Sets the value of the '`Parameters`' containment reference.
      Parameters:
        `value` - the new value of the 'Parameters' containment reference.
      See Also:
        `getParameters()`
      Generated: